Issue 98561 - oooimprovement2: 'Show Data' button should close the Options dialog
oooimprovement2: 'Show Data' button should close the Options dialog
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
DEV300m39
All All
: P3 trivial (vote)
: 3.4.0
Assigned To: stefan.baltzer
issues@framework
: usagetracking
Depends on:
Blocks: 90370
  Show dependency treegraph
 
Reported: 2009-01-28 11:25 UTC by Olaf Felka
Modified: 2010-11-16 15:37 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Olaf Felka 2009-01-28 11:25:31 UTC
- go to the options page 'Improvement program' and click 'show data'
- open the data sheet and
- close the options dialog
- reopen the options dialog and click 'show data' in 'Improvement program' tabpage
- no data dialog come up
Comment 1 bjoern.michaelsen 2009-01-28 12:00:52 UTC
This is because the file is already open. The Window containing the logfile also
gets moved to front (above all other open office documents, if there are any).

However, the behavior is inconsistent in that:
- the window does not move in front of the modal dialog, if it was already opened
- the new window is opened in front of the modal dialog, if it was not already
opened (and thus creates a new window)

This looks more like a general inconsistency in the way file-url dispatches are
handled (well, in addition to opening non-modal windows from a modal dialog
being evil).

Maybe one should just close the options dialog, when "show data" is clicked?
Comment 2 bjoern.michaelsen 2009-01-28 12:21:51 UTC
cc'ing cj
Comment 3 bjoern.michaelsen 2009-01-28 13:54:25 UTC
retargeting 3.1 -> 3.X
Comment 4 bjoern.michaelsen 2009-06-10 11:35:40 UTC
added usagetracking keyword
Comment 5 bjoern.michaelsen 2010-08-11 07:37:31 UTC
adding issue to cws oooimprovement6 => STARTED
Comment 6 bjoern.michaelsen 2010-08-11 07:45:28 UTC
resolved on cws oooimprovement6 with changeset e279c20ec7ea => DIXED
The modal dialog now is closed when pressing the "Show data" button, so the
speadsheet with the data is always in front. Also we dont have a non-modal file
window pop in front of a modal dialog which is problematic in other ways too.
Comment 7 bjoern.michaelsen 2010-08-12 10:21:28 UTC
setting release 3.4
Comment 8 bjoern.michaelsen 2010-08-12 10:24:00 UTC
setting release 3.4
Comment 9 bjoern.michaelsen 2010-08-20 11:09:42 UTC
reassigning to sba for verification
Comment 10 stefan.baltzer 2010-08-24 14:43:17 UTC
Adjusting summary.
Verified in CWS oooimprovement6
Comment 11 stefan.baltzer 2010-11-16 15:37:25 UTC
OK in DEV300_m93. Closed.